define([
    'Magento_Ui/js/form/element/abstract',
    'Magento_Ui/js/lib/view/utils/async',
    'filoblu_esb_highligtht'
],function(Abstract, $, hljs) {
    return Abstract.extend({
        defaults: {},

        /**
         * Initializes component, invokes initialize method of Abstract class.
         *
         *  @returns {Object} Chainable.
         */
        initialize: function () {
            $.async({
                component: this,
                selector: 'pre'
            }, function (node) {
                hljs.highlightBlock(node);
            });
            return this._super();
        }
    });
});